		//================================
		//方法区
		//================================
		//================================
		//设置必填标记的方法
		//================================
		//@param: leiming： 需要必填图标提示的imput的类名
		function ng_titian(leiming) {
			var BiTianParent = $('.' + leiming).parents('.am-form-group');
			var BiTianNext = $('.' + leiming).next('i');
			$(BiTianParent).addClass('am-form-error');
			$('.' + leiming).addClass('am-back-input');
			$('.' + leiming).blur(function() {
				if ($.trim($(this).val()) == '') {
					$(BiTianParent).removeClass('am-form-success');
					$(BiTianParent).addClass('am-form-error')
					$(BiTianNext).removeClass('am-icon-check');
					$(BiTianNext).addClass('am-icon-times');
					$('.' + leiming).removeClass('am-back-input');
				} else {
					$(BiTianParent).removeClass('am-form-error');
					$(BiTianParent).addClass('am-form-success')
					$(BiTianNext).removeClass('am-icon-times');
					$(BiTianNext).addClass('am-icon-check');
					$('.' + leiming).removeClass('am-back-input');
				}
			})
		}
		//=================================
		//检测邮箱是否合法的方法 非必选
		//=================================
		// @param: leiming： 需要检测的imput的类名
		function ng_email(leiming) {
			var emailParent = $('.' + leiming).parent().addClass('am-form-group');
			var emailNext = $('.' + leiming).next('i');
			$('.' + leiming).blur(function() {
				if ($('.' + leiming).val() != '') {
					if (!kg.isEmail($('.' + leiming).val())) {
						$(emailParent).removeClass('am-form-success');
						$(emailParent).addClass('am-form-error');
						$(emailNext).removeClass('am-icon-check');
						$(emailNext).addClass('am-icon-times');
					} else {
						$(emailParent).removeClass('am-form-error');
						$(emailParent).addClass('am-form-success');
						$(emailNext).removeClass('am-icon-times');
						$(emailNext).addClass('am-icon-check');
					}
				}
				if ($('.' + leiming).val() == '') {
					$(emailParent).removeClass('am-form-success am-form-error');
					$(emailNext).removeClass('am-icon-check am-icon-times');
				}
			})
		}
		//=======================================================================================================
		//手机号码 输入是否合法检测， 合法：图标提示为勾 ，不合法：图标提示为叉。
		//具有<必填>和<非必填>的两种功能， 必填时，务必第二个参数为am-back-input, 或自定义图标样式所受被控制的类名
		//=======================================================================================================
		// @param : leiming : 所需要检测手机号的input的类名，
		// @param : xinghao : 需要必填图标提示时，（默认图标动作受此类控制：am-back-input）所添加的参数，选填，
		function ng_Ojsbi_phone(leiming, xinghao) {
			var phoneParent = $('.' + leiming).parents('.am-form-group');
			var phoneNext = $('.' + leiming).next('i');
			if (xinghao != undefined) {
				$('.' + leiming).addClass(xinghao);
			}
			$('.' + leiming).blur(function() {
				if ($('.' + leiming).val() != '') {
					if (!kg.isTelCode($('.' + leiming).val())) {
						$(phoneParent).removeClass('am-form-success');
						$(phoneParent).addClass('am-form-error');
						$(phoneNext).removeClass('am-icon-check');
						$(phoneNext).addClass('am-icon-times');
						if (xinghao != undefined) {
							$('.' + leiming).removeClass(xinghao);
						}
					} else {
						$(phoneParent).removeClass('am-form-error');
						$(phoneParent).addClass('am-form-success');
						$(phoneNext).removeClass('am-icon-times');
						$(phoneNext).addClass('am-icon-check');
						if (xinghao != undefined) {
							$('.' + leiming).removeClass(xinghao);
						}
					}
				}
				if ($('.' + leiming).val() == '') {
					$(phoneParent).removeClass('am-form-success');
					$(phoneParent).addClass('am-form-error');
					$(phoneNext).removeClass('am-icon-check');
					$(phoneNext).addClass('am-icon-times');
					if (xinghao != undefined) {
						$('.' + leiming).removeClass(xinghao);
					}
				}
			})
		}
		//================================
		//方法区结束
		//================================
		$(function() {
			//检测表单
			//邮箱正则
			function IsEmail(str) {
				var reg = /^\w+@[a-zA-Z0-9]{2,10}(?:\.[a-z]{2,4}){1,3}$/;
				return reg.test(str);
			}
			//电话号码的正则
			function isTelCode(str) {
				var reg = /^((0\d{2,3}-\d{7,8})|(1[3584]\d{9}))$/;
				return reg.test(str);
			}
			$('.tpl-btn-bg-color-success').click(function() {
				if ($.trim($('#name').val()) == '') {
					confirm('请输入应用名称');
					return false;
				}
				if ($.trim($('.posi_box2 .am-dropdown-toggle .am-fl').text()) == '请选择语言包') {
					confirm('请选择语言包');
					return false;
				}
				if ($.trim($('#domain').val()) == '') {
					confirm('请输入域名');
					return false;
				}
				if ($("#auto").prop("checked")) {
					if ($.trim($('.posi_box3 .am-dropdown-toggle .am-fl').text()) == '请选择PC网站模板') {
						confirm('请选择PC网站模板');
						return false;
					}
					if ($.trim($('.posi_box4 .am-dropdown-toggle .am-fl').text()) == '请选择移动网站模板') {
						confirm('请选择移动网站模板');
						return false;
					}
					if ($.trim($('.posi_box5 .am-dropdown-toggle .am-fl').text()) == '请选择微信系统模板') {
						confirm('请选择微信系统模板');
						return false;
					}
				}
				if ($.trim($('#title').val()) == '') {
					confirm('请输入网站标题');
					return false;
				}
				if ($('#email').val() != '') {
					if (!IsEmail($('#email').val())) {
						confirm('您输入的企业邮箱不合法');
						return false;
					}
				}
				if ($('#phone').val() != '') {
					if (!isTelCode($('#phone').val())) {
						confirm('您输入的电话不合法');
						return false;
					}
				}
				return true;
			})
			$('.am-icon-plus-circle').click(function() {
				var name = $(this).parent().find('input').prop('name');
				console.log($(this).parent().find('input'))
				var domainBox = "<div class='am-plus-box'>" + "<input type='text' class='tpl-form-input' name='" + name + "' value=''>" + "<span class='am-icon-minus-circle'>" + "</sapn>" + "</div>"
				$(this).parent().parent().append(domainBox);
			});
			//删除
			$('body').on('click', '.am-icon-minus-circle', function() {
				$(this).parent().remove();
			});
			//自动切换模板
			if ($("#auto").prop("checked")) {
				$('#default-tpl').hide();
				$('.auto-tpl').show();
			} else {
				$('.auto-tpl').hide();
				$('#default-tpl').show();
			}
			$('#auto-btn').click(function() {
				if ($("#auto").prop("checked")) {
					$('.auto-tpl').hide();
					$('#default-tpl').show();
				} else {
					$('#default-tpl').hide();
					$('.auto-tpl').show();
				}
			})
			//点击编辑时,有图片时,显示出来
			var webid = window.location.search; //获取地址栏的整个参数
			var patt1 = new RegExp("webid=");
			var result = patt1.test(webid);
			if (result) {
				var img_src = $('#finalImg').attr('src');
				if (img_src != null && img_src != '') {
					$("#ngac_Nfu_box").show();
				}
			}
			//图片上传区域
			function imgChange(e1, e2) {
				e1.change(function() {
					$filePath = URL.createObjectURL(this.files[0]);
					$(this).siblings('div').find('img').attr('src', $filePath);
					$("#ngac_Nfu_box").show();
					var reader = new FileReader();
					reader.readAsDataURL(this.files[0]); //读取文件
					reader.onload = function(e) { //读取完成回调
						imgBase = e.target.result;
						e2.val(imgBase);
					}
				})
			}
			// 剪切时的问题
			if($("#finalImg").attr("src")!==""){
				$("#replaceImg").on("click",function(){
					$("#tailoringImg").addClass("cropper-hidden");
				})
			}else{
				$("#tailoringImg").removeClass("cropper-hidden");
			}
			//原始上传
			$('#originalImg').click(function() {
				$("#originalChoose").trigger('click');
				imgChange($('#originalChoose'), $('#originalUpdate'));
			})
			//  二维码区
			//二维码上传
			var imgArr = [];
			//判断是否存在二维码
			var qimgs = $('.ewm-box');
			$('.ewm-box').each(function(i){
				var src=$(this).find('img').attr('src')
				if(src){
					imgArr.push(src);
					// $('#ewmGather').val(JSON.stringify(imgArr));
					$('#input_add').append('<input type="hidden" value="' + src + '" name="qrcode" />');
				}
			})
			//添加
			$('#qrcodeUpload').on('click',function(){
				qrcodeUpload(imgArr ,0)
			})
			// 修改图片按钮
			$('body').on('click', '[data-btn="update"]', function() {
				// $("#qrcodeInput").trigger('click');
				var img=$(this).parents('.ewm-box').find('img')
				var src=img.attr('src')
				qrcodeUpload(imgArr ,1,img,imgArr.indexOf(src))
			})
			//删除图片按钮
			$('body').on('click', '[data-btn="remove"]', function(event) {
				var pa=$(this).parents('.ewm-box')
				var img_src=pa.find('img').attr('src')
				for (var c = 0; c < imgArr.length; c++) {
					if (img_src == imgArr[c]) {
						imgArr.splice(jQuery.inArray(imgArr[c], imgArr), 1);
						// $('#ewmGather').val(imgArr);
					}
					if (img_src == $('#input_add').find('input').eq(c).attr('value')) {
						$('#input_add').find('input').eq(c).remove();
					}
				}
				if($('.am-pureview-slider').length>0){
					$('.am-pureview-slider').find('li[data-src="'+img_src+'"]').remove()
				}
				
				pa.remove()
			})
			//查看图片按钮
			$('body').on('click', '[data-btn="search"]', function() {
				$(this).parents('.ewm-img-box').pureview('refreshSlides')
				// $(this).parents('.ewm-img-box').()
				$(this).parents('.ewm-box').find('img').click();
			})
		})
		//图片裁切
		function selectImg(file) {
			if (!file.files || !file.files[0]) {
				return;
			}
			var reader = new FileReader();
			reader.onload = function(evt) {
				var replaceSrc = evt.target.result;
				//更换cropper的图片
				$('#tailoringImg').cropper('replace', replaceSrc, false); //默认false，适应高度，不失真
			}
			reader.readAsDataURL(file.files[0]);
		}
		//关闭裁剪框
		function closeTailor() {
			$(".tailoring-container").toggle();
		}
		$(function() {
			//弹出框水平垂直居中
			(window.onresize = function() {
				var win_height = $(window).height();
				var win_width = $(window).width();
				if (win_width <= 768) {
					$(".tailoring-content").css({
						"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
						"left": 0
					});
				} else {
					$(".tailoring-content").css({
						"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
						"left": (win_width - $(".tailoring-content").outerWidth()) / 2
					});
				}
			})();
			//弹出图片裁剪框
			$("#replaceImg").on("click", function() {
				$(".tailoring-container").toggle();
			});
			//图像上传
			//cropper图片裁剪
			$('#tailoringImg').cropper({
				aspectRatio: 1 / 1, //默认比例
				preview: '.previewImg', //预览视图
				guides: false, //裁剪框的虚线(九宫格)
				autoCropArea: 0.5, //0-1之间的数值，定义自动剪裁区域的大小，默认0.8
				movable: false, //是否允许移动图片
				dragCrop: true, //是否允许移除当前的剪裁框，并通过拖动来新建一个剪裁框区域
				movable: true, //是否允许移动剪裁框
				resizable: true, //是否允许改变裁剪框的大小
				zoomable: false, //是否允许缩放图片大小
				mouseWheelZoom: false, //是否允许通过鼠标滚轮来缩放图片
				touchDragZoom: true, //是否允许通过触摸移动来缩放图片
				rotatable: true, //是否允许旋转图片
				crop: function(e) {
					// 输出结果数据裁剪图像。
				}
			});
			//旋转
			$(".cropper-rotate-btn").on("click", function() {
				$('#tailoringImg').cropper("rotate", 45);
			});
			//复位
			$(".cropper-reset-btn").on("click", function() {
				$('#tailoringImg').cropper("reset");
			});
			//换向
			var flagX = true;
			$(".cropper-scaleX-btn").on("click", function() {
				if (flagX) {
					$('#tailoringImg').cropper("scaleX", -1);
					flagX = false;
				} else {
					$('#tailoringImg').cropper("scaleX", 1);
					flagX = true;
				}
				flagX != flagX;
			});
			//裁剪后的处理
			$("#sureCut").on("click", function() {
				if ($("#tailoringImg").attr("src") == null) {
					return false;
				} else {
					var cas = $('#tailoringImg').cropper('getCroppedCanvas'); //获取被裁剪后的canvas
					var base64url = cas.toDataURL('image/png'); //转换为base64地址形式
					$('#imgUpdate').val(base64url);
					$("#ngac_Nfu_box").show();
					$("#finalImg").prop("src", base64url); //显示为图片的形式
					//关闭裁剪框
					closeTailor();
				}
			});
			var now = new Date();
			var time = now.getFullYear() + "-" + ((now.getMonth() + 1) < 10 ? "0" : "") + (now.getMonth() + 1) + "-" + (now.getDate() < 10 ? "0" : "") + now.getDate() + ' ' + now.getHours() + ':' + (now.getMinutes() < 10 ? "0" : "") + now.getMinutes();
			$('#datetimepicker').val(time);
			$.fn.datetimepicker.dates['zh-CN'] = {
				days: ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六", "星期日"],
				daysShort: ["周日", "周一", "周二", "周三", "周四", "周五", "周六", "周日"],
				daysMin: ["日", "一", "二", "三", "四", "五", "六", "日"],
				months: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"],
				monthsShort: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"],
				today: "今日",
				suffix: [],
				meridiem: ["上午", "下午"]
			};
			var $dpInput = $('.form-datetime-lang').datetimepicker({
				container: '#dateBox',
				language: 'zh-CN',
				format: 'yyyy-mm-dd hh:ii',
				pickerPosition: 'top-right'
			});
			//必填提示 类名当作实参传进方法中
			//当输入框输入为空,失去焦点时,提示图标为交叉,
			//当输入框输入不为空,失去焦点时,提示图标为勾
			//应用名称 必填标记
			ng_titian('ngco_Ojs_bitian');
			//域名 必填标记
			ng_titian('ngco_Ojs_bitian2');
			//网站标题 必填标记
			ng_titian('ngco_Ojs_bitian3');
			// 邮箱不合法图标提示  类名当作实参传进方法中
			//当输入框输入为空,失去焦点时,提示图标为交叉,
			//当输入框输入不为空,失去焦点时,提示图标为勾
			//企业邮箱 输入是否合法判断
			ng_email('ngco_Ojs_email'); //传入类名
			// 手机号码不合法图标提示  类名当作实参传进方法中
			//当输入框输入为空,失去焦点时,提示图标为交叉,
			//当输入框输入不为空,失去焦点时,提示图标为勾
			ng_Ojsbi_phone('ngco_Ojsbi_phone'); //必选时，输入不合法时,添加图标提示
			//页面中的input按钮事件
			$('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
				$(this).prev('.tpl-switch-btn').prop("checked", function() {
					if ($(this).is(':checked')) {
						return false;
					} else {
						return true;
					}
				})
			})
			// ==========================
			//  在上传图片的弹出窗口,点击非图片区域,就隐藏窗口
			// ==========================
			$(".ngad-Jsj-click").on("click", function() {
				closeTailor(this);
			});
			$(".ngad-Ksj-change").on("change", function() {
				selectImg(this);
			});
			$(".ngad-Usj-click").on("click", function() {
				closeTailor(this);
			});
			//底部调整
			var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null;
			if (!isChrome) {
				$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
				$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
			}
		})
		//二维码上传
		function qrcodeUpload(imgArr,type,$e,index){
			var file=$('<input type="file" />')
			file.on("change", function() {
				for (var i = 0; i < this.files.length; i++) {
					// 判断文件类型
					var end = this.files[i].type.split('/')[1];
					if (end == "png" || end == "jpeg" || end == "jpg") {
						var reader = new FileReader();
						reader.readAsDataURL(this.files[i]); //读取文件
						reader.onload = function(e) { //读取完成回调
							imgBase = e.target.result;
							switch (type){
								case 0:
								//添加
								if (imgArr.length > 6) {
									alert('最多只能上传六张二维码');
									return false;
								}else{
									$('#input_add').append('<input type="hidden" value="' + imgBase + '" name="qrcode" />');
									imgArr.push(imgBase);
									var result = $('<div class="ewm-box"><img src="' + imgBase + '" class="" /><ul class="list-unstyled btn-box-group"><li><button type="button" class="am-btn am-btn-success" data-btn="update"><i class="am-icon-pencil-square-o"></i>&nbsp;修改</button></li><li><button type="button" class="am-btn am-btn-danger" data-btn="remove"><i class="am-icon-remove ngsty-rem"></i>&nbsp;删除</button></li><li><button type="button" class="am-btn am-btn-secondary" data-btn="search"><span class="search1"><i class="am-icon-search ngsty-rem"></i>&nbsp;查看</span></button></li></ul></div>');
									$(".ewm-upload").before(result);
								}
								
									break;
								case 1:
								//修改
								$e.attr('src',imgBase);
								
								var vli=$('.am-pureview li[data-src]:eq('+$e.parents('.ewm-box').index()+')')
								if(vli){
									vli.attr('data-src',imgBase)
									vli.find('img').attr('src',imgBase);
									$e.parents('.ewm-img-box').pureview('refreshSlides')
								}
							
								if(index>-1){
									$('#input_add').find('[name="qrcode"][value="' + imgArr[index] + '"]').val(imgBase)
									imgArr[index]=imgBase;
								}else{
									$('#input_add').append('<input type="hidden" value="' + imgBase + '" name="qrcode" />');
									imgArr.push(imgBase);
								}
								
									break;
								default:
									break;
							}
						}
					} else {
						alert("文件格式不正确");
					}
				}
			});
		file.trigger('click');	
		}